Bug 1458390 - ACPI error message on boot
Summary: ACPI error message on boot
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-02 18:05 UTC by Frank Büttner
Modified: 2022-05-13 08:45 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 199983 0 None None None 2019-04-09 17:47:43 UTC

Description Frank Büttner 2017-06-02 18:05:11 UTC
Description of problem:
After the last update to 4.10.17-200 an acpi error is shown on boot.

Version-Release number of selected component (if applicable):
kernel-4.10.17-200.fc25.x86_64


Error:


ACPI Error: Needed type [Reference], found [Integer] ffff8d45ebcc6990 (20170119/e
ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName una
ACPI Error: Method parse/execution failed [\_PR.CPU0._PDC] (Node ffff8d45edcf1eb0

Additional info:
System: Lenvo T440p 20AN00C1GE
FW: 2.39

Comment 1 cengizc 2017-06-09 20:11:27 UTC
Hello

I'm experiencing the same issue with MacBook Pro 11,2, v4.11.3.

In previous comment, kernel ring buffer lines were clipped so I'm sharing my side of the story as well.


ACPI Error: Needed type [Reference], found [Integer] ffff88046c7ae1f8 
(20170119/exresop-103)

ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for 
[OpcodeName unavailable] (20170119/dswexec-461)

ACPI Error: Method parse/execution failed [\_PR.CPU0._PDC] 
(Node ffff88046e8f9dc0), AE_AML_OPERAND_TYPE (20170119/psparse-543)

Comment 2 Michael 2017-07-02 22:34:38 UTC
I am also experiencing the same issue on Lenovo T440s with a later kernel: 4.11.6-201.fc25.x86_64

Error:

ACPI Error: Needed type [Reference], found [Integer] ffff99c214a94558 (20170119/exresop-103)
ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170119/dswexec-461)
ACPI Error: Method parse/execution failed [\_PR.CPU0._PDC] (Node ffff99c215cf00f0), AE_AML_OPERAND_TYPE (20170119/psparse-543)

Comment 3 Peter Larsen 2017-07-19 16:06:23 UTC
Ditto on a W541 - same error/issue on boot.

Comment 4 Louis B 2017-07-19 18:27:51 UTC
Same issue on a Lenovo T450s 20BXCTO1WW with kernel 4.11.10-300.fc26.x86_64

ACPI Error: Needed type [Reference], found [Integer] ffff9500239bc318 (20170119/exresop-103)
ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170119/dswexec-461)
ACPI Error: Method parse/execution failed [\_PR.CPU0._PDC] (Node ffff9500250eb550), AE_AML_OPERAND_TYPE (20170119/psparse-543)

Comment 5 Chris Bainbridge 2017-08-13 11:24:20 UTC
On Macbook this error is due to a BIOS bug, not a kernel bug. Reply from Intel ACPI developers: "We still see the error, and yes it is actually a bios bug. The bug appears to be counting on the awful windows behavior of just ignoring this type of statement (where a method invocation is used as the target of a Store). It is in fact a legal statement, however."

Comment 6 RyanEatsFish 2017-10-17 23:46:09 UTC
Me too on Lenovo W550s (20E2) after updating to BIOS v. 1.18.
Fedora - 4.13.5-200.fc26.x86_64

Comment 7 Fedora End Of Life 2017-11-16 15:44:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 vramik 2017-11-20 09:00:55 UTC
I've changed the version to 26 because the issue is still present in fc26.

Comment 9 Boleslaw Ciesielski 2017-11-23 23:15:52 UTC
Still present in Fedora 27

Comment 10 Gurenko Alex 2017-12-19 17:18:06 UTC
Happening for me on various machines, including Ryzen Desktop, Lenovo X1 Carbon 3rd gen and Lenovo T460p.

Comment 11 Gurenko Alex 2017-12-19 17:19:44 UTC
That's what I have in my desktop:

kernel: ACPI Error: Needed [Integer/String/Buffer], found [Region] ffff9c7bde978630 (20170728/exresop-424)
kernel: ACPI Exception: AE_AML_OPERAND_TYPE, Could not execute arguments for [IOB2] (Region) (20170728/nsinit-426)

Comment 12 dptec 2018-01-26 17:09:49 UTC
Hello

I'm experiencing the same issue with Fedora 26 on HP Pavilion Notebook

ACPI Error: Needed type [Reference], found [Integer] ffff89d9ac3b11f8 (20170728/exresop-103)
ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (201707
ACPI Error: Method parse/execution failed \_SB.PCI0.LPCB.EC0.CPUS, AE_AML_OPERAND_TYPE (20170728/p

Comment 13 Laura Abbott 2018-02-20 19:54:42 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 14 Antonio Pallicer 2018-02-20 23:10:47 UTC
Hi

Boot issues still happens before and after upgrade to 4.15.3-300.f27 on AMD Ryzen 5 1600 + Asus X370:

 $ dmesg

-ACPI Error: Needed [Integer/String/Buffer], found [Region] 000000000756309b (20170831/exresop-424)

-ACPI Exception: AE_AML_OPERAND_TYPE, Could not execute arguments for [IOB2] (Region) (20170831/nsinit-426)

-sp5100_tco: I/O address 0x0cd6 already in use



 Thanks for your effort

Comment 15 Gurenko Alex 2018-02-21 08:07:05 UTC
Seems to be fixed for Lenovo T460p, at least this particular one.

$ uname -r
4.15.3-300.fc27.x86_64

Comment 16 Frank Büttner 2018-02-21 09:37:48 UTC
4.15.3-200 will have the same problem on an t440p.
Only the numbers, an now different:

ACPI Error: Needed type [Reference], found [Integer] 0000000070225bc4 (20170831/exresop-103)
ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170831/dswexec-461)
ACPI Error: Method parse/execution failed \_PR.CPU0._PDC, AE_AML_OPERAND_TYPE (20170831/psparse-550)

Comment 17 Qiao Zhao 2018-05-28 14:00:22 UTC
This problem still occur on my Lenovo X1 Carbon by kernel-4.16.12-300.fc28.x86_64.

... ...
[    0.048880] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.062456] ACPI Error: Needed type [Reference], found [Integer] 00000000cb7c4fba (20180105/exresop-103)
[    0.062556] ACPI Error: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20180105/dswexec-461)
[    0.062653] ACPI Error: Method parse/execution failed \_PR.CPU0._PDC, AE_AML_OPERAND_TYPE (20180105/psparse-550)
[    0.063568] ACPI: Dynamic OEM Table Load:
[    0.063593] ACPI: SSDT 0xFFFF89026434F000 0005AA (v01 PmRef  ApIst    00003000 INTL 20120711)

... ...

Comment 18 Jean-Francois Saucier 2018-05-29 18:12:00 UTC
Same here with kernel-4.16.12-300.fc28.x86_64 on F28. This is the last error message that prevent a full graphical boot on my laptop (t450s) without a switch in a text console.

Comment 19 Antonio Pallicer 2018-06-12 10:05:10 UTC
Testday fedora kernel 4.17:

ACPI errors and bugs they stop happening

Bug <sp5100_tco: I/O address 0x0cd6 already in use> has changed to <sp5100-tco sp5100-tco: Watchdog hardware is disabled>

Comment 20 Mustafa Mehmed 2018-06-25 04:19:19 UTC
4.17.2-200.fc28.x86_64


Bug <sp5100_tco: I/O address 0x0cd6 already in use> has changed to <sp5100-tco sp5100-tco: Watchdog hardware is disabled>

System boots normally and functions OK.

Comment 21 seb 2018-07-16 09:43:39 UTC
I got this error message (ACPI Error: Needed type [Reference], …) at boot on a Thinkpad X240.

Comment 22 Michael 2018-07-24 02:31:12 UTC
I also still have the following error messages on T440s 4.17.7-200.fc28.x86_64

ACPI Error: Needed type [Reference], found [Integer] 000000008ff949b4 (20180313/exresop-69)
ACPI Error: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20180313/dswexec-427)
ACPI Error: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20180313/dswexec-427)

Comment 23 Laura Abbott 2018-10-01 21:29:56 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 24 Frank Büttner 2018-10-02 06:52:53 UTC
It still exists.

Comment 25 jeremy9856 2018-11-04 08:27:53 UTC
According to Kernel developer it's a bios bug (https://bugzilla.kernel.org/show_bug.cgi?id=199983). So I encourage you to contact Lenovo, like I did, to try to make them fix it (links below). If you know a more direct way to contact them please share it. Thanks ! 

https://twitter.com/LenovoSupport

https://forums.lenovo.com/t5/ThinkPad-T400-T500-and-newer-T/Bios-ACPI-Errors/td-p/4237795

https://forums.lenovo.com/t5/Linux-Discussion/Thinkpad-T440-T450-T460-Bios-ACPI-Errors/td-p/4239132

Comment 26 Justin M. Forbes 2019-01-29 16:26:28 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 27 Frank Büttner 2019-01-29 16:49:42 UTC
And firmware updated to 2.51

Comment 28 Justin M. Forbes 2019-08-20 17:44:13 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 29 Frank Büttner 2019-08-20 18:20:59 UTC
It is also present using 5.2.9-100.fc29.

Comment 30 Ben Cotton 2019-10-31 18:56:03 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 31 Frank Büttner 2019-11-01 16:20:44 UTC
same on f30 using kernel 5.37-200

Comment 32 Justin M. Forbes 2020-03-03 16:33:30 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.5.7-100.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 33 Frank Büttner 2020-03-03 17:51:40 UTC
Same on last kernel using Fedora 31

Comment 34 Mario 2020-05-09 07:03:26 UTC
same problem Fedora 32 Kernel 5.6.10

Thinkpad T450

ACPI Error: Needed type [Reference], found [Integer] 0000000023ea44b1 (20200110/exresop-66)
ACPI Error: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20200110/dswexec-431)
ACPI Error: Aborting method \_PR.CPU0._PDC due to previous error (AE_AML_OPERAND_TYPE) (20200110/psparse-529)

Comment 35 Ben Cotton 2020-11-03 14:58:35 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 36 Frank Büttner 2020-11-03 16:40:16 UTC
same on f32 using the last kernel

Comment 37 Fedora Program Management 2021-04-29 15:53:14 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 38 Frank Büttner 2021-04-30 10:01:35 UTC
same on f33

Comment 39 Ben Cotton 2021-11-04 14:05:26 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 40 Ben Cotton 2021-11-04 14:34:25 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 41 Ben Cotton 2021-11-04 15:32:17 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 42 Frank Büttner 2021-11-04 20:37:21 UTC
Same on 34 using kernel-5.14.15-200.fc34.x86_64

Comment 43 Ben Cotton 2022-05-12 15:37:10 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 44 Frank Büttner 2022-05-13 08:45:30 UTC
Same on F35


Note You need to log in before you can comment on or make changes to this bug.